package com.jidolstar.fa
{
	import flash.events.IEventDispatcher;
	
	/**
	 * Flex에서 발생되는 이벤트에 대해서 Javascript Event listener을 호출하기 위한 보조 클래스
	 * 
	 * @author 지용호( http://blog.jidolstar.com, jidolstar@gmail.com )
	 * @since 2008.10.10
	 * 
	 * @see com.jidolstar.fa.Flex2JS
	 */ 
	public class Flex2JSCaller
	{
		/**
		 * Flex쪽 이벤트 발생자
		 */ 
		public var eventDispatcher:IEventDispatcher;
		
		/**
		 * 이벤트 명
		 */ 
		public var eventName:String;
		
		/**
		 * 이벤트 발생시 처리하기 위한 함수
		 * 
		 * <p>
		 * 아래와 같은 방법대로 제작된 함수여야 한다.<br/>
		 * 특히 입력값은 Event, 출력값은 Object여야 한다.
		 * 
		 * @example
		 * private function move( event:MapMoveEvent ):Object 
		 * {
		 * 		return {"ra":event.equCoord.ra, "dec":event.equCoord.dec, "zoomLevel":map.zoomLevel};
		 * }
		 */ 
		public var paramMaker:Function; 
		
		/**
		 * 생성자
		 * @param eventDispatcher Flex쪽 이벤트 발생자
		 * @param eventName 이벤트 명
		 * @param paramMaker  이벤트 발생시 처리하기 위한 함수
		 */ 
		public function Flex2JSCaller( eventDispatcher:IEventDispatcher=null, eventName:String=null, paramMaker:Function=null )
		{
			this.eventDispatcher = eventDispatcher;
			this.eventName = eventName;
			this.paramMaker = paramMaker;
		}

	}
}