package com.jidolstar.fa
{
	/**
	 * Javascript에서 Flex의 어떤 기능을 수행하기 위한 보조 클래스
	 * 
	 * @author 지용호( http://blog.jidolstar.com, jidolstar@gmail.com )
	 * @since 2008.10.10
	 * 
	 * @see com.jidolstar.fa.JS2Flex
	 */ 
	public class JS2FlexCaller
	{
		/**
		 * 호출명
		 */ 
		public var name:String;
		
		/**
		 * 호출시 처리 함수
		 * 
		 * <p>
		 * 아래와 같은 방법으로 제작한다. 
		 * 특히 입력값은 Object, 출력값도 Object이다.
		 * 
		 * @example
		 * private static function moveTo( params:Object ):Object
		 * {
		 * 		map.moveTo( new EquCoord( params.dec, params.ra ) );
		 * 		return null;
		 * } 
		 */ 
		public var caller:Function;
		
		/**
		 * 생성자
		 * @name 호출명
		 * @caller 호출 처리 함수
		 */ 
		public function JS2FlexCaller( name:String=null, caller:Function=null )
		{
			this.name = name;
			this.caller = caller;
		}

	}
}