package com.jidolstar.fileupload
{
	import flash.events.Event;

	/**
	 * 파일 업로드 이벤트
	 * @author Yongho, Ji (jidolstar@gmail.com, http://blog.jidolstar.com)
	 * @since 2008.10.24.
	 */ 
	public class FileUploadEvent extends Event
	{
		/**
		 * 파일 브라우징 취소할때 발생하는 이벤트 
		 */ 
		public static const CANCEL:String = "fileuploader_cancel";
		
		/**
		 * 1개 파일 업로드 시작할때 발생하는 이벤트
		 */ 
		public static const UPLOAD_START:String = "fileuploader_start";

		/**
		 * 1개 파일 업로드 중일때 발생하는 이벤트. 여러번 발생할 수 있다. 
		 */ 
		public static const UPLOAD_STEP:String = "fileuploader_step";

		/**
		 * 1개 파일 업로드 완료시 발생하는 이벤트
		 */ 
		public static const UPLOAD_END:String = "fileuploader_end";

		/**
		 * 1개 파일 업로드 실패시 발생하는 이벤트(보안, IO)
		 */ 
		public static const UPLOAD_FAIL:String = "fileuploader_fail";

		/**
		 * 파일 업로드 시작시 발생하는 이벤트
		 */ 
		public static const UPLOAD_START_ALL:String = "fileuploader_startAll";

		/**
		 * 파일 업로드 완료시 발생하는 이벤트
		 */ 
		public static const UPLOAD_END_ALL:String = "fileuploader_endAll";

		/**
		 * 파일 업로드 중지시 발생하는 이벤트. 
		 */ 
		public static const UPLOAD_STOP_ALL:String = "fileuploader_stopAll";

		/**
		 * 파일 사이즈가 지정된 사이즈 보다 클대 발생하는 이벤트
		 */ 
		public static const UPLOAD_FILE_SIZE_ERROR:String = "fileuploader_fileSizeError";

		/**
		 * 파일의 수가 지정된 수보다 클때 발생하는 이벤트
		 */ 
		public static const UPLOAD_FILE_COUNT_ERROR:String = "fileuploader_fileCountError";
		
		/**
		 * 제한된 확장자를 가진 파일을 browser창을 통해 select한 경우 발생하는 이벤트
		 */
		public static const BAN_FILE_EXTENSION:String ="fileuploader_banFileExtension"; 
		
		/**
		 * 이벤트 발생시 관련 데이타 저장 
		 */ 
		public var data:Object;
		
		/**
		 * 파일 업로드 이벤트 생성자
		 * @param type 이벤트 타입
		 * @param data 데이터 
		 * @param bubbles 버블링 사용유무
		 * @param cancelable 이벤트 전송 취소가능 여부  
		 */ 
		public function FileUploadEvent(type:String, data:Object, bubbles:Boolean=false, cancelable:Boolean=false  )
		{
			super(type, bubbles, cancelable );
			this.data = data;
		}
		
		/**
		 * 이벤트 클론 생성
		 */ 
		override public function clone():Event
		{
			return new FileUploadEvent( type, data, bubbles, cancelable );
		}
	}
}